Bug 1127351 - [Patch] Fix xwayland conditionals for Fedora 20
Summary: [Patch] Fix xwayland conditionals for Fedora 20
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 17:52 UTC by Michael Kuhn
Modified: 2014-08-08 06:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-07 16:55:21 UTC


Attachments (Terms of Use)
Fix xwayland conditionals for Fedora 20 (1.53 KB, patch)
2014-08-06 17:52 UTC, Michael Kuhn
no flags Details | Diff

Description Michael Kuhn 2014-08-06 17:52:53 UTC
Created attachment 924549 [details]
Fix xwayland conditionals for Fedora 20

There are conditionals in the spec file to disable building xwayland on Fedora 20. While backporting the 1.16 package, I noticed that these conditionals do not achieve the desired effect and do in fact break the build.

The attached patch fixes the conditionals and correctly disables xwayland for Fedora 20.

Comment 1 Hans de Goede 2014-08-07 16:55:21 UTC
Thanks, applied in a slightly modified form to rawhide.

Comment 2 Michael Kuhn 2014-08-07 20:11:33 UTC
Thanks!

One small correction though: IIRC, you have to change the BuildRequires conditional because like this xshmfence will not be installed on Fedora 20 but DRI3 will be enabled (which will fail because it requires xshmfence).

Comment 3 Hans de Goede 2014-08-08 06:48:16 UTC
(In reply to Michael Kuhn from comment #2)
> Thanks!
> 
> One small correction though: IIRC, you have to change the BuildRequires
> conditional because like this xshmfence will not be installed on Fedora 20
> but DRI3 will be enabled (which will fail because it requires xshmfence).

Oops, should be really fixed now.


Note You need to log in before you can comment on or make changes to this bug.